import { PipeTransform } from '@angular/core';
import { PaginationData } from '@rxap/data-source/http/pagination';
import { PaginatorLike } from '@rxap/data-source/pagination';
import { FilterLike, SortLike } from '@rxap/data-source/table';
import { OpenApiDataSource } from '@rxap/open-api/data-source';
import { OpenApiTableDataSource, TableEventToOpenApiParametersFunction } from './open-api-table.data-source';
import * as i0 from "@angular/core";
export declare class ToOpenApiTableDataSourcePipe implements PipeTransform {
    transform<Data extends object, Parameters extends Record<string, any>>(dataSource: OpenApiDataSource<PaginationData<Data>>, paginator: PaginatorLike, tableEventToOpenApiParameters?: TableEventToOpenApiParametersFunction<Parameters>, sort?: SortLike, filter?: FilterLike): OpenApiTableDataSource<Data>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToOpenApiTableDataSourcePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ToOpenApiTableDataSourcePipe, "toOpenApiTableDataSource", false>;
}
export declare class ToOpenApiTableDataSourcePipeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ToOpenApiTableDataSourcePipeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ToOpenApiTableDataSourcePipeModule, [typeof ToOpenApiTableDataSourcePipe], never, [typeof ToOpenApiTableDataSourcePipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ToOpenApiTableDataSourcePipeModule>;
}
